Skip to main content
Resource Center/Resource Pool/Volume Operations

ResizeRootVolume

ResizeRootVolume

PUT/zstack/v1/volumes/resize/{uuid}/actions

Operation ID

ResizeRootVolume

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • size
    longRequired

    The new size.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VolumeInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • primaryStorageUuid
      StringRequired

      The primary storage UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • diskOfferingUuid
      StringRequired

      The disk offering UUID.

    • rootImageUuid
      StringRequired

      The root image UUID.

    • installPath
      StringRequired

      The installation path.

    • type
      StringRequired

      The resource type.

    • format
      StringRequired

      The format.

    • size
      LongRequired

      The size.

    • actualSize
      LongRequired

      The actual size.

    • deviceId
      IntegerRequired

      The device ID.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • isShareable
      BooleanRequired

      Whether the resource is shareable.